{{- define "main" -}}

{{ partial "page_header.html" . }}

<div class="construct-view-wrapper">

  {{ range $.Site.Data.dctspecs }}
  <div id="{{ .dct.id }}_view" class="construct-view" style="display:none;">

    <div class="construct-view-construct-name">{{ .dct.label }}</div>

    <div class="construct-view-ucid">Unique Construct Identifier (UCID): <a href="https://psycore.one/{{ .dct.id }}">❄️ {{ .dct.id }}</a> |
    <a href="https://gitlab.com/psy-ops/psycore-one/-/blob/master/data/dctspecs/{{ .dct.id }}.dct.yaml">📝 YAML file on GitLab</a></div>

    <div id="{{ .dct.id }}_definition" class="construct-definition-box">

      <div class="construct-view-definition">
        <div class="construct-view-title-image">
          <img src="../images/dct_definition.svg" width="55px" />
        </div>
        <div class="construct-view-title">
          Construct Definition
        </div>
      </div>

      <script>
        if ("{{ .dct.definition.definition }}".length > 0) {
          document.write('<p>{{ .dct.definition.definition | markdownify }}</p>');
        } else {
          document.write('<p>Not specified.</p>');
        }
      </script>

    </div>
    <div id="{{ .dct.id }}_measure_dev" class="measure-dev-box">

      <div class="construct-view-measure-dev">
        <div class="construct-view-title-image">
          <img src="../images/dct_measurement.svg" width="55px" />
        </div>
        <div class="construct-view-title">
          Instructions to develop measurement instruments
        </div>
      </div>

      <script>
        if ("{{ .dct.measure_dev.instruction }}".length > 0) {
          document.write('<p>{{ .dct.measure_dev.instruction | markdownify }}</p>');
        } else {
          document.write('<p>Not specified.</p>');
        }
      </script>

    </div>
    <div id="{{ .dct.id }}_measure_code" class="measure-code-box">

      <div class="construct-view-measure-code">
        <div class="construct-view-title-image">
          <img src="../images/dct_measurement-coding.svg" width="55px" />
        </div>
        <div class="construct-view-title">
          Instructions to code measurement instruments
        </div>
      </div>

      <script>
        if ("{{ .dct.measure_code.instruction }}".length > 0) {
          document.write('<p>{{ .dct.measure_code.instruction | markdownify }}</p>');
        } else {
          document.write('<p>Not specified.</p>');
        }
      </script>

    </div>
    <div id="{{ .dct.id }}_aspect_dev" class="aspect-dev-box">

      <div class="construct-view-aspect-dev">
        <div class="construct-view-title-image">
          <img src="../images/dct_aspect.svg" width="55px" />
        </div>
        <div class="construct-view-title">
          Instructions to elicit construct content (develop aspects)
        </div>
      </div>

      <script>
        if ("{{ .dct.aspect_dev.instruction }}".length > 0) {
          document.write('<p>{{ .dct.aspect_dev.instruction | markdownify }}</p>');
        } else {
          document.write('<p>Not specified.</p>');
        }
      </script>

    </div>
    <div id="{{ .dct.id }}_aspect_code" class="aspect-code-box">

      <div class="construct-view-aspect-code">
        <div class="construct-view-title-image">
          <img src="../images/dct_aspect-coding.svg" width="55px" />
        </div>
        <div class="construct-view-title">
          Instructions to code construct content (aspects)
        </div>
      </div>

      <script>
        if ("{{ .dct.aspect_code.instruction }}".length > 0) {
          document.write('<p>{{ .dct.aspect_code.instruction | markdownify }}</p>');
        } else {
          document.write('<p>Not specified.</p>');
        }
      </script>

    </div>
  </div>
  {{ end }}

</div>

<script defer src="/js/construct.js">
</script>

{{- end -}}
